SECURITY_MODULE_ENAB(9)

NAME
security_module_enable - Load given security module on boot ?

SYNOPSIS

int security_module_enable(struct security_operations * ops);

ARGUMENTS

ops
    a pointer to the struct security_operations that is to be checked.

DESCRIPTION

Each LSM must pass this method before registering its own operations to avoid security registration races. This method may also be used to check if your LSM is currently loaded during kernel initialization.

RETURN TRUE IF

-The passed LSM is the one chosen by user at boot time, -or the passed LSM is configured as the default and the user did not choose an alternate LSM at boot time. Otherwise, return false.

COPYRIGHT